﻿@model IEnumerable<MIMS.Portal.ViewModels.Terminal.TerminalViewModel>
@using MIMS.Portal.Commons.Extensions;


<div class="table-responsive">
    <table class="table table-hover header-border text-nowrap">
        <thead>
            <tr>
                <th>@Html.DisplayNameFor(model => model.PspProvider)</th>
                <th>@Html.DisplayNameFor(model => model.StoreFullName)</th>
                <th>@Html.DisplayNameFor(model => model.BankAccountFullName)</th>
                <th>@Html.DisplayNameFor(model => model.DeviceConnectionType)</th>
                <th>@Html.DisplayNameFor(model => model.DeviceBrandId)</th>
                <th>@Html.DisplayNameFor(model => model.DeviceModelId)</th>
                <th>@Html.DisplayNameFor(model => model.DeviceId)</th>
                <th>@Html.DisplayNameFor(model => model.MerchantNumber)</th>
                <th>@Html.DisplayNameFor(model => model.TerminalNumber)</th>
                <th>@Html.DisplayNameFor(model => model.Status)</th>
                <th>@Html.DisplayNameFor(model => model.ReviewComment)</th>
                <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                <th><em class="fa fa-cog"></em></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(modelItem => item.PspProvider)</td>
                    <td>@item.StoreFullName</td>
                    <td>@item.BankAccountFullName</td>
                    <td>@Html.DisplayFor(modelItem => item.DeviceConnectionType)</td>
                    <td>@item.DeviceBrandName</td>
                    <td>@item.DeviceModelName</td>
                    <td>@item.DeviceSerial</td>
                    <td>@item.MerchantNumber</td>
                    <td>@item.TerminalNumber</td>
                    <td>
                        @{
                            var statusColor = "default";

                            if (item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Unknown || item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Pending)
                                statusColor = "warning";

                            if (item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.PreApproved)
                                statusColor = "info";

                            if (item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Approved)
                                statusColor = "success";

                            if (item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByWhois ||
                                item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByBankAccount ||
                                item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByStore ||
                                item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByOther)
                                statusColor = "danger";
                        }

                        <i class="fa fa-circle-o text-@statusColor ml-0"></i> @Html.DisplayFor(modelItem => item.Status)
                    </td>
                    <td>@item.ReviewComment</td>
                    <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                    <td>

                        <a asp-action="Details" asp-controller="Terminals" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                        <a asp-action="Edit" asp-controller="Terminals" asp-route-id="@item.Id" class="btn btn-info fa fa-fw fa-edit" data-toggle="tooltip" title="ویرایش"></a>
                        <a asp-action="Delete" asp-controller="Terminals" asp-route-id="@item.Id" class="btn btn-danger fa fa-fw fa-trash" data-toggle="tooltip" title="حذف"></a>
                        <a asp-action="Review" asp-controller="Terminals" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-check-circle" data-toggle="tooltip" title="تاییداطلاعات"></a>
                        <a asp-action="shaparak" asp-controller="operations" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-plug" data-toggle="tooltip" title="تخصیص شماره ترمینال"></a>
                        <a asp-action="AssignDevice" asp-controller="operations" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-crop" data-toggle="tooltip" title="تخصیص دستکاه"></a>
                        <a asp-action="InitialDevice" asp-controller="operations" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-play" data-toggle="tooltip" title="فعال سازی دستکاه"></a>

                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>